% clear
% clc
% close all

N=100;
c=5;
ms=1;
sm=0.01;
ss=0.5;
rng('default')
mindex=0;

for mm=0:0.5:4
    mindex=mindex+1;
    index=0;
    
    for i=1:1
        [Lambdamu,Lambdasig]=CreateLambda(N,mm,ms,sm,ss);
        d=0;
        while sum(Lambdamu)<0 || isempty(find(Lambdamu<0))
            [Lambdamu,Lambdasig]=CreateLambda(N,mm,ms,sm,ss);
            d=d+1;
            if d>1000
                disp('while took too long')
                break
            end
        end
        
        index=index+1;
        [G]=CreateRandRegGraph(N,c);
        [Links]=FixLinks(G,N);
        
        [Satisfied,Edges]=QuenchedWithZeta(Lambdamu,Lambdasig,Links,0.3);
        
        while sum(Satisfied<0)>0 || sum(Edges(:,3)+Edges(:,4))>0.1
            [Lambdamu,Lambdasig]=CreateLambda(N,mm,ms,sm,ss);
            d=0;
            while sum(Lambdamu)<0 || isempty(find(Lambdamu<0))
                [Lambdamu,Lambdasig]=CreateLambda(N,mm,ms,sm,ss);
                d=d+1;
                if d>1000
                    disp('while took too long')
                    break
                end
            end
            
            [G]=CreateRandRegGraph(N,c);
            [Links]=FixLinks(G,N);
            
            [Satisfied,Edges]=QuenchedWithZeta(Lambdamu,Lambdasig,Links,0.3);
        end
        
        PowerLoss(index,mindex)=sum(Edges(:,3).^2)/2;
        ZerY(index,mindex)=sum(Edges(:,3)==0);
        DistY(:,index,mindex)=Edges(:,3);
        Excess(:,index,mindex)=Satisfied;
        Sig(:,index,mindex)=Lambdasig;
        
        
    end
    MM(mindex)=mm;
end

save('Testing.mat')

quit
exit
% PowerLost=mean(PowerLoss);
% PowerLosts=std(PowerLoss);
% figure(1)
% plot(MM,PowerLost);
% figure(2)
% errorbar(MM,PowerLost,PowerLosts);
% 
% ZeroY=mean(ZerY);
% ZeroYs=std(ZerY);
% figure(3)
% plot(MM,ZeroY);
% figure(4)
% errorbar(MM,ZeroY,ZeroYs);
% 
% figure(5)
% hold on
% DastY=DistY(:,:,1);
% DustY=DastY(:);
% a=[0:0.04:max(max(max(DistY)))];
% histogram(DustY,a);
% 
% figure(6)
% y=[0:0.005:max(max(max(DistY)))];
% P1=mean(DustY);
% P1s=std(DustY);
% f1=exp(-(y-P1).^2./(2*P1s^2))./(P1s*sqrt(2*pi));
% DastY2=DistY(:,:,2);
% DustY2=DastY2(:);
% P2=mean(DustY2);
% P2s=std(DustY2);
% f2=exp(-(y-P2).^2./(2*P2s^2))./(P2s*sqrt(2*pi));
% hold on
% subplot(4,1,1)
% histogram(DustY,a);
% hold on
% plot(y,f1,'-');
% subplot(4,1,2)
% histogram(DustY2,a);
% hold on
% plot(y,f2,'-');
% 
% figure(7)
% hold on
% plot(y,f1,'-');
% plot(y,f2,'-');
% 
 figure(8)
 Extra=Excess(:,:,1);
 Excel=Extra(:);
 Extra2=Excess(:,:,2);
 Excel2=Extra2(:);
 Sif=Sig(:,:,1);
 Sid=Sif(:);
 Sif2=Sig(:,:,2);
 Sid2=Sif2(:);
 plot(Sid,Excel,'x');
 hold on
 plot(Sid2,Excel2,'x');